Bug 1563261 - concurrent registration occasionally fails with "host_id has already been taken" error
Summary: concurrent registration occasionally fails with "host_id has already been tak...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.2.14
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 13:13 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1553845
Environment:
Last Closed: 2018-10-16 19:29:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22850 None None None 2018-04-03 13:13:42 UTC

Comment 1 Jitendra Yejare 2018-06-20 13:18:13 UTC
Verified!

@Satellite 6.4 snap 9

Steps:

1. Concurrent 150 hosts registerations

Behavior:

1. All 150 hosts registered
2. No error in candlepin or production logs were observed.

Comment 2 Bryan Kearney 2018-10-16 19:29:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.